<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ManBase/DayZPlayer/DayZPlayerCamera3rdPerson.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dd8/_day_z_player_camera3rd_person_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerCamera3rdPerson.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d73/class_day_z_player_camera_base.html">DayZPlayerCameraBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">this is main camera class  <a href="../../da/d73/class_day_z_player_camera_base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d2b/class_day_z_player_camera3rd_person_erc_raised.html">DayZPlayerCamera3rdPersonErcRaised</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d09/class_day_z_player_camera3rd_person_crouch.html">DayZPlayerCamera3rdPersonCrouch</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/de1/class_day_z_player_camera3rd_person_prone_base.html">DayZPlayerCamera3rdPersonProneBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a38728ace9ec2f97aa3e4a68ca0fc061c"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a0bea94e1152399d4c2626cf79f3dbdba">DayZPlayerCamera3rdPerson</a> extends <a class="el" href="../../da/d73/class_day_z_player_camera_base.html">DayZPlayerCameraBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a38728ace9ec2f97aa3e4a68ca0fc061c">DayZPlayerCamera3rdPersonErc</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a38728ace9ec2f97aa3e4a68ca0fc061c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bea94e1152399d4c2626cf79f3dbdba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a0bea94e1152399d4c2626cf79f3dbdba">DayZPlayerCamera3rdPerson</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a0bea94e1152399d4c2626cf79f3dbdba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac886db88e86fa7de7738f04f6ad4ce9c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac886db88e86fa7de7738f04f6ad4ce9c">OnActivate</a> (<a class="el" href="../../d3/d58/dayzplayer_8c.html#aec7df242d6c8a470331cdb4d38bb4ab4">DayZPlayerCamera</a> pPrevCamera, <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pPrevCameraResult)</td></tr>
<tr class="separator:ac886db88e86fa7de7738f04f6ad4ce9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5420f58fe3d82fa17df5921ff3a130"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a4e5420f58fe3d82fa17df5921ff3a130">OnUpdate</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, out <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a> pOutResult)</td></tr>
<tr class="separator:a4e5420f58fe3d82fa17df5921ff3a130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a3479cbf9bcd2d39c9bc5a8af436aa"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a98a3479cbf9bcd2d39c9bc5a8af436aa">GetBaseAngles</a> ()</td></tr>
<tr class="separator:a98a3479cbf9bcd2d39c9bc5a8af436aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef1f221c72e388c6f0fb5821f6ad3e75"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aef1f221c72e388c6f0fb5821f6ad3e75">GetCameraName</a> ()</td></tr>
<tr class="separator:aef1f221c72e388c6f0fb5821f6ad3e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a562cebe7ec110118d7e357695caa0a79"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a2a887f7d444cb77cd5bc29fd7c08980c">DayZPlayerCamera3rdPersonJump</a> extends <a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a562cebe7ec110118d7e357695caa0a79">DayZPlayerCamera3rdPersonClimb</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a562cebe7ec110118d7e357695caa0a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a887f7d444cb77cd5bc29fd7c08980c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a2a887f7d444cb77cd5bc29fd7c08980c">DayZPlayerCamera3rdPersonJump</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a2a887f7d444cb77cd5bc29fd7c08980c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87e998ebc399019846469c59b12a3348"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aed3d57837822c20e8c35b63de6f30430">DayZPlayerCamera3rdPersonErcSpr</a> extends <a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a87e998ebc399019846469c59b12a3348">DayZPlayerCamera3rdPersonErcRaised</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a87e998ebc399019846469c59b12a3348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed3d57837822c20e8c35b63de6f30430"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aed3d57837822c20e8c35b63de6f30430">DayZPlayerCamera3rdPersonErcSpr</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:aed3d57837822c20e8c35b63de6f30430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e7f37c8076ce14e770fa034e5a4dfaf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a6e7f37c8076ce14e770fa034e5a4dfaf">IsCamera3rdRaised</a> ()</td></tr>
<tr class="separator:a6e7f37c8076ce14e770fa034e5a4dfaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bbe20d06e2bdde6b94d3780cbd58e37"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a5bbe20d06e2bdde6b94d3780cbd58e37">DayZPlayerCamera3rdPersonCrouch</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a5bbe20d06e2bdde6b94d3780cbd58e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa26eec70aad4726e878218e2f695e6a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa26eec70aad4726e878218e2f695e6a1">UpdateLRAngleLookAt</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pMin, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pMax, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt)</td></tr>
<tr class="separator:aa26eec70aad4726e878218e2f695e6a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65cc2249f227dccf5ac6c058f25eed9e"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#abeeafadd29b6c9573d86e2378bd83a7d">DayZPlayerCamera3rdPersonProne</a> extends <a class="el" href="../../de/de1/class_day_z_player_camera3rd_person_prone_base.html">DayZPlayerCamera3rdPersonProneBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a65cc2249f227dccf5ac6c058f25eed9e">DayZPlayerCamera3rdPersonProneRaised</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:a65cc2249f227dccf5ac6c058f25eed9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeeafadd29b6c9573d86e2378bd83a7d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#abeeafadd29b6c9573d86e2378bd83a7d">DayZPlayerCamera3rdPersonProne</a> (DayZPlayer pPlayer, <a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a> pInput)</td></tr>
<tr class="separator:abeeafadd29b6c9573d86e2378bd83a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa59814833643a675cf580aa2bc0314bf"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa59814833643a675cf580aa2bc0314bf">CONST_UD_MIN</a> = -85.0</td></tr>
<tr class="memdesc:aa59814833643a675cf580aa2bc0314bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">down limit  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa59814833643a675cf580aa2bc0314bf">More...</a><br /></td></tr>
<tr class="separator:aa59814833643a675cf580aa2bc0314bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e15292c0485bdae55b4ca339aa450c8"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a4e15292c0485bdae55b4ca339aa450c8">CONST_UD_MAX</a> = 85.0</td></tr>
<tr class="memdesc:a4e15292c0485bdae55b4ca339aa450c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">up limit  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a4e15292c0485bdae55b4ca339aa450c8">More...</a><br /></td></tr>
<tr class="separator:a4e15292c0485bdae55b4ca339aa450c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6c5c9f3cb694f50d794bd50a1f1cd3"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a5d6c5c9f3cb694f50d794bd50a1f1cd3">CONST_LR_MIN</a> = -160.0</td></tr>
<tr class="memdesc:a5d6c5c9f3cb694f50d794bd50a1f1cd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">down limit  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a5d6c5c9f3cb694f50d794bd50a1f1cd3">More...</a><br /></td></tr>
<tr class="separator:a5d6c5c9f3cb694f50d794bd50a1f1cd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c62592d6f09d56c99c2d8f7b7bfa8cf"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a7c62592d6f09d56c99c2d8f7b7bfa8cf">CONST_LR_MAX</a> = 160.0</td></tr>
<tr class="memdesc:a7c62592d6f09d56c99c2d8f7b7bfa8cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">up limit  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a7c62592d6f09d56c99c2d8f7b7bfa8cf">More...</a><br /></td></tr>
<tr class="separator:a7c62592d6f09d56c99c2d8f7b7bfa8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa222e4eda0aab2c42126dc6300683604"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa222e4eda0aab2c42126dc6300683604">m_iBoneIndex</a> = -1</td></tr>
<tr class="memdesc:aa222e4eda0aab2c42126dc6300683604"><td class="mdescLeft">&#160;</td><td class="mdescRight">runtime config  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa222e4eda0aab2c42126dc6300683604">More...</a><br /></td></tr>
<tr class="separator:aa222e4eda0aab2c42126dc6300683604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4686aa51bae4031b84b18735efab3cf"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac4686aa51bae4031b84b18735efab3cf">m_CameraOffsetMS</a></td></tr>
<tr class="memdesc:ac4686aa51bae4031b84b18735efab3cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">model space offset  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac4686aa51bae4031b84b18735efab3cf">More...</a><br /></td></tr>
<tr class="separator:ac4686aa51bae4031b84b18735efab3cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36b5f20fb85db20946190c5dd857635a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a36b5f20fb85db20946190c5dd857635a">m_CameraOffsetLS</a></td></tr>
<tr class="memdesc:a36b5f20fb85db20946190c5dd857635a"><td class="mdescLeft">&#160;</td><td class="mdescRight">local space offset  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a36b5f20fb85db20946190c5dd857635a">More...</a><br /></td></tr>
<tr class="separator:a36b5f20fb85db20946190c5dd857635a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae379fe9513c65e9a4dfe646f3c0c0006"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ae379fe9513c65e9a4dfe646f3c0c0006">m_fDistance</a></td></tr>
<tr class="memdesc:ae379fe9513c65e9a4dfe646f3c0c0006"><td class="mdescLeft">&#160;</td><td class="mdescRight">distance from start  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ae379fe9513c65e9a4dfe646f3c0c0006">More...</a><br /></td></tr>
<tr class="separator:ae379fe9513c65e9a4dfe646f3c0c0006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e630e3ee0c75407f93355d55d4356e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac3e630e3ee0c75407f93355d55d4356e">m_fShoulderWidth</a></td></tr>
<tr class="memdesc:ac3e630e3ee0c75407f93355d55d4356e"><td class="mdescLeft">&#160;</td><td class="mdescRight">shoulder camera widths  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac3e630e3ee0c75407f93355d55d4356e">More...</a><br /></td></tr>
<tr class="separator:ac3e630e3ee0c75407f93355d55d4356e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba241f4abfd9560715a47e0ab9f5ac54"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aba241f4abfd9560715a47e0ab9f5ac54">m_bShoulderInLS</a></td></tr>
<tr class="memdesc:aba241f4abfd9560715a47e0ab9f5ac54"><td class="mdescLeft">&#160;</td><td class="mdescRight">true - shoulder is in local space  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aba241f4abfd9560715a47e0ab9f5ac54">More...</a><br /></td></tr>
<tr class="separator:aba241f4abfd9560715a47e0ab9f5ac54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8203c3f3fbccb8a905f60312602a775d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a8203c3f3fbccb8a905f60312602a775d">m_fRoll</a></td></tr>
<tr class="memdesc:a8203c3f3fbccb8a905f60312602a775d"><td class="mdescLeft">&#160;</td><td class="mdescRight">camera roll  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a8203c3f3fbccb8a905f60312602a775d">More...</a><br /></td></tr>
<tr class="separator:a8203c3f3fbccb8a905f60312602a775d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77d313f767b47a3245e7d3c7d3d38c30"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a77d313f767b47a3245e7d3c7d3d38c30">m_fLeanDistance</a></td></tr>
<tr class="memdesc:a77d313f767b47a3245e7d3c7d3d38c30"><td class="mdescLeft">&#160;</td><td class="mdescRight">shift on leaning  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a77d313f767b47a3245e7d3c7d3d38c30">More...</a><br /></td></tr>
<tr class="separator:a77d313f767b47a3245e7d3c7d3d38c30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c964c0226b8a1a695e2917d468342bf"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a8c964c0226b8a1a695e2917d468342bf">m_fUpDownAngle</a></td></tr>
<tr class="memdesc:a8c964c0226b8a1a695e2917d468342bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">runtime values  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a8c964c0226b8a1a695e2917d468342bf">More...</a><br /></td></tr>
<tr class="separator:a8c964c0226b8a1a695e2917d468342bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58960fc790b83be163478ca6411e95be"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a58960fc790b83be163478ca6411e95be">m_fUpDownAngleAdd</a></td></tr>
<tr class="memdesc:a58960fc790b83be163478ca6411e95be"><td class="mdescLeft">&#160;</td><td class="mdescRight">up down angle in rad  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a58960fc790b83be163478ca6411e95be">More...</a><br /></td></tr>
<tr class="separator:a58960fc790b83be163478ca6411e95be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cf8859007b9001c09ebab24e1856ce"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">m_fLeftRightAngle</a></td></tr>
<tr class="memdesc:a74cf8859007b9001c09ebab24e1856ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">left right angle in rad (in freelook only)  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a74cf8859007b9001c09ebab24e1856ce">More...</a><br /></td></tr>
<tr class="separator:a74cf8859007b9001c09ebab24e1856ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a7acd4d3bb079cab723a254d1275045"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a1a7acd4d3bb079cab723a254d1275045">m_fCameraLRShoulder</a></td></tr>
<tr class="memdesc:a1a7acd4d3bb079cab723a254d1275045"><td class="mdescLeft">&#160;</td><td class="mdescRight">shoulder offsets  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a1a7acd4d3bb079cab723a254d1275045">More...</a><br /></td></tr>
<tr class="separator:a1a7acd4d3bb079cab723a254d1275045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a819596bcac1d64e87e06f357973a8d20"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a819596bcac1d64e87e06f357973a8d20">m_fCameraLRShoulderVel</a> [1]</td></tr>
<tr class="separator:a819596bcac1d64e87e06f357973a8d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa20c94cf3a51fa5af0ca371fd70a7cd9"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa20c94cf3a51fa5af0ca371fd70a7cd9">m_MovementState</a> = new <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>()</td></tr>
<tr class="memdesc:aa20c94cf3a51fa5af0ca371fd70a7cd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">movement state  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aa20c94cf3a51fa5af0ca371fd70a7cd9">More...</a><br /></td></tr>
<tr class="separator:aa20c94cf3a51fa5af0ca371fd70a7cd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b913016df225baf4d638800401687d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a5b913016df225baf4d638800401687d2">m_fDelay</a></td></tr>
<tr class="memdesc:a5b913016df225baf4d638800401687d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">runtime config  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a5b913016df225baf4d638800401687d2">More...</a><br /></td></tr>
<tr class="separator:a5b913016df225baf4d638800401687d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40c9bf570dbddb612141ac430e92c9e9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a40c9bf570dbddb612141ac430e92c9e9">m_fDamping</a></td></tr>
<tr class="separator:a40c9bf570dbddb612141ac430e92c9e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9682ad14b85442e985731bb1bd368d7d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a9682ad14b85442e985731bb1bd368d7d">m_fDelayTimer</a></td></tr>
<tr class="memdesc:a9682ad14b85442e985731bb1bd368d7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">runtime values  <a href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a9682ad14b85442e985731bb1bd368d7d">More...</a><br /></td></tr>
<tr class="separator:a9682ad14b85442e985731bb1bd368d7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae411f63ef6b6b9f2d10256da2503943"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aae411f63ef6b6b9f2d10256da2503943">m_fJumpStartY</a></td></tr>
<tr class="separator:aae411f63ef6b6b9f2d10256da2503943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac77086d2ef3b605a72ebb4e31297540f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ac77086d2ef3b605a72ebb4e31297540f">m_fJumpOffset</a></td></tr>
<tr class="separator:ac77086d2ef3b605a72ebb4e31297540f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2088488712a2805e6de9bd402b4b39fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a2088488712a2805e6de9bd402b4b39fc">m_jumpOffsetVelocity</a> [1]</td></tr>
<tr class="separator:a2088488712a2805e6de9bd402b4b39fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af202b28a1defa698a406072c4d56f536"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#af202b28a1defa698a406072c4d56f536">m_iPelvisBone</a></td></tr>
<tr class="separator:af202b28a1defa698a406072c4d56f536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad86650b10945acb04b219c5e96ac915d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#ad86650b10945acb04b219c5e96ac915d">m_fTime</a></td></tr>
<tr class="separator:ad86650b10945acb04b219c5e96ac915d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb6ea344ae5210369297a05d32a5fab"><td class="memItemLeft" align="right" valign="top">class DayZPlayerCamera3rdPersonErcRaisedMelee extends <a class="el" href="../../dc/d2b/class_day_z_player_camera3rd_person_erc_raised.html">DayZPlayerCamera3rdPersonErcRaised</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#acdb6ea344ae5210369297a05d32a5fab">CONST_CAMERAMOVEMENTHEIGH</a> = 0.4</td></tr>
<tr class="separator:acdb6ea344ae5210369297a05d32a5fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a605bda7be57a38b07627dd9fff74b492"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a605bda7be57a38b07627dd9fff74b492">m_fCameraHeight</a></td></tr>
<tr class="separator:a605bda7be57a38b07627dd9fff74b492"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050a922c2fefc5e9f6f782bcd9c9388d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a050a922c2fefc5e9f6f782bcd9c9388d">m_fCameraHeightVel</a> [1]</td></tr>
<tr class="separator:a050a922c2fefc5e9f6f782bcd9c9388d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7caf9dc1fb956b858e7d2485379044df"><td class="memItemLeft" align="right" valign="top">class DayZPlayerCamera3rdPersonCrouchRaised extends <a class="el" href="../../d8/d09/class_day_z_player_camera3rd_person_crouch.html">DayZPlayerCamera3rdPersonCrouch</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a7caf9dc1fb956b858e7d2485379044df">m_LookAtLRAngle</a></td></tr>
<tr class="separator:a7caf9dc1fb956b858e7d2485379044df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0bea94e1152399d4c2626cf79f3dbdba" name="a0bea94e1152399d4c2626cf79f3dbdba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bea94e1152399d4c2626cf79f3dbdba">&#9670;&#160;</a></span>DayZPlayerCamera3rdPerson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerCamera3rdPersonErc::DayZPlayerCamera3rdPerson </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00169">169</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a562cebe7ec110118d7e357695caa0a79" name="a562cebe7ec110118d7e357695caa0a79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a562cebe7ec110118d7e357695caa0a79">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonClimb()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a2a887f7d444cb77cd5bc29fd7c08980c">DayZPlayerCamera3rdPersonJump</a> extends <a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a> DayZPlayerCamera3rdPersonClimb </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00176">176</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a5bbe20d06e2bdde6b94d3780cbd58e37" name="a5bbe20d06e2bdde6b94d3780cbd58e37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bbe20d06e2bdde6b94d3780cbd58e37">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonCrouch()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../d8/d09/class_day_z_player_camera3rd_person_crouch.html">DayZPlayerCamera3rdPersonCrouch</a> </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00375">375</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a38728ace9ec2f97aa3e4a68ca0fc061c" name="a38728ace9ec2f97aa3e4a68ca0fc061c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38728ace9ec2f97aa3e4a68ca0fc061c">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonErc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#a0bea94e1152399d4c2626cf79f3dbdba">DayZPlayerCamera3rdPerson</a> extends <a class="el" href="../../da/d73/class_day_z_player_camera_base.html">DayZPlayerCameraBase</a> <a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a> </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00004">4</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a87e998ebc399019846469c59b12a3348" name="a87e998ebc399019846469c59b12a3348"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87e998ebc399019846469c59b12a3348">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonErcRaised()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#aed3d57837822c20e8c35b63de6f30430">DayZPlayerCamera3rdPersonErcSpr</a> extends <a class="el" href="../../da/d2d/class_day_z_player_camera3rd_person_erc.html">DayZPlayerCamera3rdPersonErc</a> <a class="el" href="../../dc/d2b/class_day_z_player_camera3rd_person_erc_raised.html">DayZPlayerCamera3rdPersonErcRaised</a> </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00243">243</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aed3d57837822c20e8c35b63de6f30430" name="aed3d57837822c20e8c35b63de6f30430"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed3d57837822c20e8c35b63de6f30430">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonErcSpr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerCamera3rdPersonErcRaised::DayZPlayerCamera3rdPersonErcSpr </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00298">298</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a2a887f7d444cb77cd5bc29fd7c08980c" name="a2a887f7d444cb77cd5bc29fd7c08980c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a887f7d444cb77cd5bc29fd7c08980c">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonJump()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerCamera3rdPersonClimb::DayZPlayerCamera3rdPersonJump </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >runtime config</p>
<p >runtime values</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00232">232</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="abeeafadd29b6c9573d86e2378bd83a7d" name="abeeafadd29b6c9573d86e2378bd83a7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeeafadd29b6c9573d86e2378bd83a7d">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonProne()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerCamera3rdPersonProneRaised::DayZPlayerCamera3rdPersonProne </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00557">557</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a65cc2249f227dccf5ac6c058f25eed9e" name="a65cc2249f227dccf5ac6c058f25eed9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65cc2249f227dccf5ac6c058f25eed9e">&#9670;&#160;</a></span>DayZPlayerCamera3rdPersonProneRaised()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html#abeeafadd29b6c9573d86e2378bd83a7d">DayZPlayerCamera3rdPersonProne</a> extends <a class="el" href="../../de/de1/class_day_z_player_camera3rd_person_prone_base.html">DayZPlayerCamera3rdPersonProneBase</a> DayZPlayerCamera3rdPersonProneRaised </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d1b/class_human_input_controller.html">HumanInputController</a>&#160;</td>
          <td class="paramname"><em>pInput</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00537">537</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a98a3479cbf9bcd2d39c9bc5a8af436aa" name="a98a3479cbf9bcd2d39c9bc5a8af436aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98a3479cbf9bcd2d39c9bc5a8af436aa">&#9670;&#160;</a></span>GetBaseAngles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/dfc/classvector.html">vector</a> DayZPlayerCamera3rdPersonErc::GetBaseAngles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00271">271</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aef1f221c72e388c6f0fb5821f6ad3e75" name="aef1f221c72e388c6f0fb5821f6ad3e75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef1f221c72e388c6f0fb5821f6ad3e75">&#9670;&#160;</a></span>GetCameraName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZPlayerCamera3rdPersonErc::GetCameraName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00280">280</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a6e7f37c8076ce14e770fa034e5a4dfaf" name="a6e7f37c8076ce14e770fa034e5a4dfaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e7f37c8076ce14e770fa034e5a4dfaf">&#9670;&#160;</a></span>IsCamera3rdRaised()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsCamera3rdRaised </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00340">340</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ac886db88e86fa7de7738f04f6ad4ce9c" name="ac886db88e86fa7de7738f04f6ad4ce9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac886db88e86fa7de7738f04f6ad4ce9c">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZPlayerCamera3rdPersonErc::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d58/dayzplayer_8c.html#aec7df242d6c8a470331cdb4d38bb4ab4">DayZPlayerCamera</a>&#160;</td>
          <td class="paramname"><em>pPrevCamera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a>&#160;</td>
          <td class="paramname"><em>pPrevCameraResult</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00188">188</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a4e5420f58fe3d82fa17df5921ff3a130" name="a4e5420f58fe3d82fa17df5921ff3a130"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e5420f58fe3d82fa17df5921ff3a130">&#9670;&#160;</a></span>OnUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZPlayerCamera3rdPersonErc::OnUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d2/d66/class_day_z_player_camera_result.html">DayZPlayerCameraResult</a>&#160;</td>
          <td class="paramname"><em>pOutResult</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >update angles from input</p>
<p >Print(m_fLeftRightAngle);</p>
<p >base bone pos</p>
<p >apply shoulder dist</p>
<p >store distance</p>
<p >basically -&gt; transform up vector (0,1,0) and read x coord -&gt; and set is as roll</p>
<p >prev update</p>
<p >movement height</p>
<p >prev update</p>
<p >update angles from input</p>
<p >this is actually negative to yaw</p>
<p >base bone pos</p>
<p >apply shoulder dist</p>
<p >store distance</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00202">202</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aa26eec70aad4726e878218e2f695e6a1" name="aa26eec70aad4726e878218e2f695e6a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa26eec70aad4726e878218e2f695e6a1">&#9670;&#160;</a></span>UpdateLRAngleLookAt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> UpdateLRAngleLookAt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pMin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >lr angle</p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00434">434</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="acdb6ea344ae5210369297a05d32a5fab" name="acdb6ea344ae5210369297a05d32a5fab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb6ea344ae5210369297a05d32a5fab">&#9670;&#160;</a></span>CONST_CAMERAMOVEMENTHEIGH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class DayZPlayerCamera3rdPersonErcRaisedMelee extends <a class="el" href="../../dc/d2b/class_day_z_player_camera3rd_person_erc_raised.html">DayZPlayerCamera3rdPersonErcRaised</a> CONST_CAMERAMOVEMENTHEIGH = 0.4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c62592d6f09d56c99c2d8f7b7bfa8cf" name="a7c62592d6f09d56c99c2d8f7b7bfa8cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c62592d6f09d56c99c2d8f7b7bfa8cf">&#9670;&#160;</a></span>CONST_LR_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CONST_LR_MAX = 160.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>up limit </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00166">166</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a5d6c5c9f3cb694f50d794bd50a1f1cd3" name="a5d6c5c9f3cb694f50d794bd50a1f1cd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d6c5c9f3cb694f50d794bd50a1f1cd3">&#9670;&#160;</a></span>CONST_LR_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CONST_LR_MIN = -160.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>down limit </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00165">165</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a4e15292c0485bdae55b4ca339aa450c8" name="a4e15292c0485bdae55b4ca339aa450c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e15292c0485bdae55b4ca339aa450c8">&#9670;&#160;</a></span>CONST_UD_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CONST_UD_MAX = 85.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>up limit </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00163">163</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aa59814833643a675cf580aa2bc0314bf" name="aa59814833643a675cf580aa2bc0314bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa59814833643a675cf580aa2bc0314bf">&#9670;&#160;</a></span>CONST_UD_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CONST_UD_MIN = -85.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>down limit </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00162">162</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aba241f4abfd9560715a47e0ab9f5ac54" name="aba241f4abfd9560715a47e0ab9f5ac54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba241f4abfd9560715a47e0ab9f5ac54">&#9670;&#160;</a></span>m_bShoulderInLS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> m_bShoulderInLS</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>true - shoulder is in local space </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00291">291</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a36b5f20fb85db20946190c5dd857635a" name="a36b5f20fb85db20946190c5dd857635a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36b5f20fb85db20946190c5dd857635a">&#9670;&#160;</a></span>m_CameraOffsetLS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> m_CameraOffsetLS</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>local space offset </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00288">288</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ac4686aa51bae4031b84b18735efab3cf" name="ac4686aa51bae4031b84b18735efab3cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4686aa51bae4031b84b18735efab3cf">&#9670;&#160;</a></span>m_CameraOffsetMS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> m_CameraOffsetMS</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>model space offset </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00287">287</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a605bda7be57a38b07627dd9fff74b492" name="a605bda7be57a38b07627dd9fff74b492"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a605bda7be57a38b07627dd9fff74b492">&#9670;&#160;</a></span>m_fCameraHeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fCameraHeight</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00400">400</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a050a922c2fefc5e9f6f782bcd9c9388d" name="a050a922c2fefc5e9f6f782bcd9c9388d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a050a922c2fefc5e9f6f782bcd9c9388d">&#9670;&#160;</a></span>m_fCameraHeightVel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fCameraHeightVel[1]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00401">401</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a1a7acd4d3bb079cab723a254d1275045" name="a1a7acd4d3bb079cab723a254d1275045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a7acd4d3bb079cab723a254d1275045">&#9670;&#160;</a></span>m_fCameraLRShoulder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fCameraLRShoulder</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>shoulder offsets </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00302">302</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a819596bcac1d64e87e06f357973a8d20" name="a819596bcac1d64e87e06f357973a8d20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a819596bcac1d64e87e06f357973a8d20">&#9670;&#160;</a></span>m_fCameraLRShoulderVel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fCameraLRShoulderVel[1]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00303">303</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a40c9bf570dbddb612141ac430e92c9e9" name="a40c9bf570dbddb612141ac430e92c9e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40c9bf570dbddb612141ac430e92c9e9">&#9670;&#160;</a></span>m_fDamping</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fDamping</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00271">271</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a5b913016df225baf4d638800401687d2" name="a5b913016df225baf4d638800401687d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b913016df225baf4d638800401687d2">&#9670;&#160;</a></span>m_fDelay</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fDelay</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>runtime config </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00270">270</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a9682ad14b85442e985731bb1bd368d7d" name="a9682ad14b85442e985731bb1bd368d7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9682ad14b85442e985731bb1bd368d7d">&#9670;&#160;</a></span>m_fDelayTimer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fDelayTimer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>runtime values </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00274">274</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ae379fe9513c65e9a4dfe646f3c0c0006" name="ae379fe9513c65e9a4dfe646f3c0c0006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae379fe9513c65e9a4dfe646f3c0c0006">&#9670;&#160;</a></span>m_fDistance</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fDistance</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>distance from start </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00289">289</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ac77086d2ef3b605a72ebb4e31297540f" name="ac77086d2ef3b605a72ebb4e31297540f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac77086d2ef3b605a72ebb4e31297540f">&#9670;&#160;</a></span>m_fJumpOffset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fJumpOffset</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00276">276</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aae411f63ef6b6b9f2d10256da2503943" name="aae411f63ef6b6b9f2d10256da2503943"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae411f63ef6b6b9f2d10256da2503943">&#9670;&#160;</a></span>m_fJumpStartY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fJumpStartY</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00275">275</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a77d313f767b47a3245e7d3c7d3d38c30" name="a77d313f767b47a3245e7d3c7d3d38c30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77d313f767b47a3245e7d3c7d3d38c30">&#9670;&#160;</a></span>m_fLeanDistance</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fLeanDistance</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>shift on leaning </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00293">293</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a74cf8859007b9001c09ebab24e1856ce" name="a74cf8859007b9001c09ebab24e1856ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74cf8859007b9001c09ebab24e1856ce">&#9670;&#160;</a></span>m_fLeftRightAngle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fLeftRightAngle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>left right angle in rad (in freelook only) </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00299">299</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a8203c3f3fbccb8a905f60312602a775d" name="a8203c3f3fbccb8a905f60312602a775d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8203c3f3fbccb8a905f60312602a775d">&#9670;&#160;</a></span>m_fRoll</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fRoll</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>camera roll </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00292">292</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ac3e630e3ee0c75407f93355d55d4356e" name="ac3e630e3ee0c75407f93355d55d4356e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e630e3ee0c75407f93355d55d4356e">&#9670;&#160;</a></span>m_fShoulderWidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fShoulderWidth</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>shoulder camera widths </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00290">290</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="ad86650b10945acb04b219c5e96ac915d" name="ad86650b10945acb04b219c5e96ac915d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad86650b10945acb04b219c5e96ac915d">&#9670;&#160;</a></span>m_fTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00340">340</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a8c964c0226b8a1a695e2917d468342bf" name="a8c964c0226b8a1a695e2917d468342bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c964c0226b8a1a695e2917d468342bf">&#9670;&#160;</a></span>m_fUpDownAngle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fUpDownAngle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>runtime values </p>
<p >up down angle in rad </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00297">297</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a58960fc790b83be163478ca6411e95be" name="a58960fc790b83be163478ca6411e95be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58960fc790b83be163478ca6411e95be">&#9670;&#160;</a></span>m_fUpDownAngleAdd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> m_fUpDownAngleAdd</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>up down angle in rad </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00298">298</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="aa222e4eda0aab2c42126dc6300683604" name="aa222e4eda0aab2c42126dc6300683604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa222e4eda0aab2c42126dc6300683604">&#9670;&#160;</a></span>m_iBoneIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_iBoneIndex = -1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>runtime config </p>
<p >main bone </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00286">286</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="af202b28a1defa698a406072c4d56f536" name="af202b28a1defa698a406072c4d56f536"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af202b28a1defa698a406072c4d56f536">&#9670;&#160;</a></span>m_iPelvisBone</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_iPelvisBone</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00339">339</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a2088488712a2805e6de9bd402b4b39fc" name="a2088488712a2805e6de9bd402b4b39fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2088488712a2805e6de9bd402b4b39fc">&#9670;&#160;</a></span>m_jumpOffsetVelocity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_jumpOffsetVelocity[1]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00277">277</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
<a id="a7caf9dc1fb956b858e7d2485379044df" name="a7caf9dc1fb956b858e7d2485379044df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7caf9dc1fb956b858e7d2485379044df">&#9670;&#160;</a></span>m_LookAtLRAngle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class DayZPlayerCamera3rdPersonCrouchRaised extends <a class="el" href="../../d8/d09/class_day_z_player_camera3rd_person_crouch.html">DayZPlayerCamera3rdPersonCrouch</a> m_LookAtLRAngle</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa20c94cf3a51fa5af0ca371fd70a7cd9" name="aa20c94cf3a51fa5af0ca371fd70a7cd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa20c94cf3a51fa5af0ca371fd70a7cd9">&#9670;&#160;</a></span>m_MovementState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a> m_MovementState = new <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>movement state </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html#l00306">306</a> of file <a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c_source.html">DayZPlayerCamera3rdPerson.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_eb54cb765a131a2c306884813be74251.html">ManBase</a></li><li class="navelem"><a class="el" href="../../dir_875127120f67bed94f68794f1f35b6fa.html">DayZPlayer</a></li><li class="navelem"><a class="el" href="../../d8/dd8/_day_z_player_camera3rd_person_8c.html">DayZPlayerCamera3rdPerson.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
